gnutls_encode_ber_digest_info(3)

NAME
gnutls_encode_ber_digest_info - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_encode_ber_digest_info(gnutls_digest_algorithm_t hash, const gnutls_datum_t * digest, gnutls_datum_t * output);

ARGUMENTS

gnutls_digest_algorithm_t hash
    the hash algorithm that was used to get the digest

const gnutls_datum_t * digest
    must contain the digest data

gnutls_datum_t * output
    will contain the allocated DigestInfo BER encoded data

DESCRIPTION
This function will encode the provided digest data, and its algorithm into an RSA PKCS1 1.5 DigestInfo structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

SINCE
3.5.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/